# GLM: glm::gtc Namespace Reference

# glm::gtc Namespace Reference

GLM stable extensions. More...

## Namespaces

namespace | double_float

| GLM_GTC_double_float extension: Add support for double precision floating-point types.
namespace | half_float

| GLM_GTC_half_float extension: Add support for half precision floating-point types.
namespace | matrix_operation

| GLM_GTC_matrix_operation extension: Matrix operation functions.
namespace | matrix_projection

| GLM_GTC_matrix_projection: Varius ways to build and operate on projection matrices.
namespace | matrix_transform

| GLM_GTC_matrix_transform extension: Add transformation matrices.
namespace | quaternion

| GLM_GTC_quaternion extension: Quaternion types and functions.
namespace | type_precision

| GLM_GTC_type_precision extension: Defined types with specific size.

## Detailed Description

GLM stable extensions.